Subject: [core] I-D Action: draft-ietf-core-href-09.txt

From: [email-masked]
Date: Sat, 15 Jan 2022 15:04:32 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Constrained RESTful Environments WG of the IETF.

        Title           : Constrained Resource Identifiers
        Authors         : Carsten Bormann
                          Henk Birkholz
	Filename        : draft-ietf-core-href-09.txt
	Pages           : 23
	Date            : 2022-01-15

Abstract:
   The Constrained Resource Identifier (CRI) is a complement to the
   Uniform Resource Identifier (URI) that serializes the URI components
   in Concise Binary Object Representation (CBOR) instead of a sequence
   of characters.  This simplifies parsing, comparison and reference
   resolution in environments with severe limitations on processing
   power, code size, and memory size.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-core-href/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-core-href-09.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-core-href-09

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts

---

From: Carsten Bormann <[email-masked]>
Date: Sun, 16 Jan 2022 00:14:38 +0100

In preparation for Wednesday’s interim, we have prepared another update of draft-ietf-core-href.

From the Change Log [1]:

>>    Changes from -08 to -09
>> 
>>    *  Identify more esoteric features with a CDDL ".feature".
>> 
>>    *  Clarify that well-formedness requires removing trailing nulls.
>> 
>>    *  Fragments can contain PET.
>> 
>>    *  Percent-encoded text in PET is treated as byte strings.
>> 
>>    *  URIs with an authority but a completely empty path (e.g.,
>>       http://example.com): CRIs with an authority component no longer
>>       always produce at least a slash in the path component.
>> 
>>       For generic schemes, the conversion of scheme://example.com to a
>>       CRI is now possible because CRI produces a URI with an authority
>>       not followed by a slash following the updated rules of
>>       Section 6.1.  Schemes like http and coap do not distinguish
>>       between the empty path and the path containing a single slash when
>>       an authority is set (as recommended in [RFC3986]).  For these
>>       schemes, that equivalence allows implementations to convert the
>>       just-a-slash URI to a CRI with a zero length path array (which,
>>       however, when converted back, does not produce a slash after the
>>       authority).
>> 
>>       (Add an appendix "the small print" for more detailed discussion of
>>       pesky corner cases like this.)

Discussion before Wednesday is appreciated; in any case see you all then!

Grüße, Carsten

[1]: https://www.ietf.org/archive/id/draft-ietf-core-href-09.html#appendix-B-2

> On 2022-01-16, at 00:04, [email-masked] wrote:
> 
>